import { z } from "zod";

export const schema = z.object({
    _id: z.string(),
    uuid: z.string(),
    areaName: z.string(),
    areaCode: z.string(),
    areaType: z.string(),
    areaDirection: z.string(),
    areaGrossSize: z.number(),
    areaNetSize: z.number(),
    width: z.number(),
    size: z.number(),
    expiryStarts: z.string().optional(),
    expiryEnds: z.string().optional(),
    createdAt: z.string(),
    updatedAt: z.string(),
});

export type schemaType = z.infer<typeof schema>;